<?php
header("Content-Type: application/json");

$host = "localhost";
$user = "rnrblhtt_root";
$pass = "47qa4@EgZDs8C_D";
$dbname = "rnrblhtt_free_plastine";

// কানেকশন তৈরি
$conn = new mysqli($host, $user, $pass, $dbname);
if ($conn->connect_error) {
    echo json_encode(["status" => "error", "message" => "Database connection failed"]);
    exit();
}

// বারকোড ইনপুট চেক
if (!isset($_GET['barcode'])) {
    echo json_encode(["status" => "error", "message" => "Barcode is required"]);
    exit();
}

$barcode = $_GET['barcode'];

// সার্চ কোয়েরি
$stmt = $conn->prepare("SELECT country, product, company, alternative FROM free_plastine WHERE barcode = ?");
$stmt->bind_param("s", $barcode);
$stmt->execute();
$result = $stmt->get_result();

if ($row = $result->fetch_assoc()) {
    echo json_encode([
        "status" => "found",
        "country" => $row["country"],
         "product" => $row["product"],
        "company" => $row["company"],
        "alternative" => $row["alternative"]
    ]);
} else {
    echo json_encode(["status" => "not_found"]);
}

$stmt->close();
$conn->close();
?>